Subject: bug#59347: 29.0.50; `:family` face setting ignored

From: Gregory Heytings <[email-masked]>
Date: Wed, 23 Nov 2022 08:13:08 +0000

>
> For me the question is what is its impact in terms of the number of 
> fonts we need to consider.
>

I don't understand why we should suddently worry about the number of fonts 
we consider.  During ~8 years (after bf0d3f76dc) _all_ attributes (not 
just the size/weight/slant/height ones) were set to nil (in 
realize_x_face), and I don't think there were any bug reports about Emacs 
being too slow to select fonts.  Face realization is something that 
happens only rarely.